Name: tar-gnu
Version: 1.29
Release: 1
License: GPLv3
Summary: GNU tar
Url: https://www.gnu.org/software/tar

Source0: https://ftp.gnu.org/pub/gnu/tar/tar-%{version}.tar.gz

Patch0: tar-unlink.c.patch
Patch1: tar-CVE-2016-6321.patch


%description
GNU Tar provides the ability to create tar archives, as well as various other kinds of manipulation. For example, you can use Tar on previously created archives to extract files, to store additional files, or to update or list files which were already stored.

Initially, tar archives were used to store files conveniently on magnetic tape. The name "Tar" comes from this use; it stands for tape archiver. Despite the utility's name, Tar can direct its output to available devices, files, or other programs (using pipes), it can even access remote devices or files (as archives).


%prep
%setup -q -n tar-%{version}

%patch0 -p1
%patch1 -p1

%build

%configure \
  LDFLAGS="-Wl,-blibpath:/QOpenSys/usr/lib" \
  --disable-rpath \
  --disable-nls
  
%make_build


%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%{_bindir}/tar
%{_infodir}/tar.info
%{_infodir}/tar.info-1
%{_infodir}/tar.info-2
%{_mandir}/man1/tar.1

%changelog
